# Module NoteEvent

- app/roles/note_event.rb

Methods

N
  - note_commit?,
  - note_commit_id,
  - note_short_commit_id,
  - note_target,
  - note_target_id,
  - note_target_type
W
  - wall_note?

Instance Public methods
note_commit?() Link

Source: show

    # File app/roles/note_event.rb, line 10
    def note_commit?
      target.noteable_type == "Commit"
    end

note_commit_id() Link

Source: show

    # File app/roles/note_event.rb, line 2
    def note_commit_id
      target.commit_id
    end

note_short_commit_id() Link

Source: show

    # File app/roles/note_event.rb, line 6
    def note_short_commit_id
      note_commit_id[0..8]
    end

note_target() Link

Source: show

    # File app/roles/note_event.rb, line 14
    def note_target
      target.noteable
    end

note_target_id() Link

Source: show

    # File app/roles/note_event.rb, line 18
    def note_target_id
      if note_commit?
        target.commit_id
      else
        target.noteable_id.to_s
      end
    end

note_target_type() Link

Source: show

    # File app/roles/note_event.rb, line 30
    def note_target_type
      if target.noteable_type.present?
        target.noteable_type.titleize
      else
        "Wall"
      end.downcase
    end

wall_note?() Link

Source: show

    # File app/roles/note_event.rb, line 26
    def wall_note?
      target.noteable_type.blank?
    end